/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomSQLResultSetRowList_H___INT_
#define __GdomSQLResultSetRowList_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "SQLResultSetRowList.h"
namespace WebCore {
    gpointer toGDOM(SQLResultSetRowList* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMSQLResultSetRowList : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_SQL_RESULT_SET_ROW_LIST; }
    GDOMSQLResultSetRowList(PassRefPtr<WebCore::SQLResultSetRowList> impl);
    virtual ~GDOMSQLResultSetRowList();
    WebCore::SQLResultSetRowList* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::SQLResultSetRowList> m_impl;
};
G_END_DECLS

#endif /* __GdomSQLResultSetRowList_H___INT_*/
